Loading...
Searching...
No Matches
etl::private_pseudo_moving_average::add_insert_iterator< TPseudo_Moving_Average > Class Template Reference

`#include <pseudo_moving_average.h>`

## Public Member Functions

| add_insert_iterator (TPseudo_Moving_Average &pma) ETL_NOEXCEPT
add_insert_iterator & | operator* () ETL_NOEXCEPT
add_insert_iterator & | operator++ () ETL_NOEXCEPT
add_insert_iterator & | operator++ (int) ETL_NOEXCEPT
add_insert_iterator & | operator= (typename TPseudo_Moving_Average::value_type value)

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::output_iterator_tag, TPseudo_Moving_Average::value_type, void, void, void >
typedef TPseudo_Moving_Average::value_type | value_type
typedef void | difference_type
typedef void | pointer
typedef void | reference
typedef ETL_OR_STD::output_iterator_tag | iterator_category

## Detailed Description

template<typename TPseudo_Moving_Average>
class etl::private_pseudo_moving_average::add_insert_iterator< TPseudo_Moving_Average >

add_insert_iterator An output iterator used to add new values.

The documentation for this class was generated from the following file:

- include/etl/pseudo_moving_average.h